# Query Payment Status

Query payment/payout confirmation result status

Endpoint: POST /api/v2/merch/pay/inquiry
Version: 1.0.0

## Header parameters:

  - `X-Merch-Id` (string)

## Request fields (application/json):

  - `request_id` (string, required)
    Request number, Unique within the requesting system

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (*/*):

  - `status` (string, required)
    Status
    Enum: "PROCESSING", "SUCCEEDED", "FAILED", "RETURNED"

  - `fee_amount` (integer, required)
    Fee (Currency is the Payment currency, the CurrencyMinimum Unit)

  - `beneficiary_type` (string, required)
    CollectionPeopleType
    Enum: "PAY", "WITHDRAW"

  - `order_no` (string, required)
    PaymentOrder number

  - `failed_reason` (string, required)
    FailedReason

  - `payment_currency` (string, required)
    PaymentOriginalCurrency

  - `received_currency` (string, required)
    Payment targetCurrency

  - `payment_amount` (string, required)
    PaymentAmount

  - `received_amount` (string, required)
    Amount received

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 404:

  - `404` (unknown)
    Not Found

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 500:

  - `500` (unknown)
    Internal Server Error

